Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-arm-rtems4.11-binutils
 Requires:	rtems-4.11-arm-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-arm-rtems4.11-binutils
-# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-arm-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-avr-rtems4.11-binutils
 Requires:	rtems-4.11-avr-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -345,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -629,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-avr-rtems4.11-binutils
-# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -647,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-avr-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -765,5 +764,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -786,5 +785,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-bfin-rtems4.11-binutils
 Requires:	rtems-4.11-bfin-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-bfin-rtems4.11-binutils
-# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-bfin-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -838,5 +837,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -859,5 +858,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-h8300-rtems4.11-binutils
 Requires:	rtems-4.11-h8300-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+Requires:	rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-13%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-14%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-h8300-rtems4.11-binutils
-# Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+# Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+Requires:       rtems-4.11-h8300-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        13%{?dist}
+Release:        14%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        13%{?dist}
+Release:        14%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-i386-rtems4.11-binutils
 Requires:	rtems-4.11-i386-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-i386-rtems4.11-binutils
-# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-i386-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-lm32-rtems4.11-binutils
 Requires:	rtems-4.11-lm32-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+Requires:	rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-13%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-14%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-lm32-rtems4.11-binutils
-# Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+# Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-13%{?dist}
+Requires:       rtems-4.11-lm32-rtems4.11-newlib = %{newlib_version}-14%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        13%{?dist}
+Release:        14%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        13%{?dist}
+Release:        14%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-m32c-rtems4.11-binutils
 Requires:	rtems-4.11-m32c-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -345,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -629,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32c-rtems4.11-binutils
-# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -647,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-m32c-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -766,5 +765,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -787,5 +786,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-m32r-rtems4.11-binutils
 Requires:	rtems-4.11-m32r-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -345,5 +344,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -629,5 +628,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m32r-rtems4.11-binutils
-# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -647,5 +646,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-m32r-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -766,5 +765,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -787,5 +786,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-m68k-rtems4.11-binutils
 Requires:	rtems-4.11-m68k-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-m68k-rtems4.11-binutils
-# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-m68k-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-mips-rtems4.11-binutils
 Requires:	rtems-4.11-mips-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-mips-rtems4.11-binutils
-# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-mips-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-sh-rtems4.11-binutils
 Requires:	rtems-4.11-sh-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sh-rtems4.11-binutils
-# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-sh-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-sparc-rtems4.11-binutils
 Requires:	rtems-4.11-sparc-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-sparc-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision 0f0ccb96c3f3545a0a07649f6e9d81e0339c808d)
+++ contrib/crossrpms/rtems4.11/sparc64/rtems-4.11-sparc64-rtems4.11-gcc.spec	(revision 6fb18529b77ecce37f4ac2947db6cc7e0d1e1165)
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	6%{?dist}
+Release:      	7%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -231,8 +231,7 @@
 %endif
 
-%if "%{gcc_version}" >= "4.2.0"
+# Not strictly required, but patches may introduce a need to use them.
+# For reasons of simplicity, always require them.
 BuildRequires:	flex bison
-%endif
-
 
 BuildRequires:	texinfo >= 4.2
@@ -242,5 +241,5 @@
 Requires:	rtems-4.11-sparc64-rtems4.11-binutils
 Requires:	rtems-4.11-sparc64-rtems4.11-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:	rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -303,5 +302,5 @@
 cd ..
 
-%setup -q -T -D -n %{name}-%{version} -a1
+%{?SOURCE1:%setup -q -T -D -n %{name}-%{version} -a1}
 cd gcc-%{gcc_pkgvers}
 %{?PATCH1:%patch1 -p1}
@@ -357,5 +356,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-6%{?dist}/newlib-%{newlib_version}-16%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-7%{?dist}/newlib-%{newlib_version}-17%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -642,5 +641,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.11-sparc64-rtems4.11-binutils
-# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+# Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 # License:	GPL
 
@@ -660,5 +659,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-16%{?dist}
+Requires:       rtems-4.11-sparc64-rtems4.11-newlib = %{newlib_version}-17%{?dist}
 License:	GPL
 
@@ -839,5 +838,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -860,5 +859,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        16%{?dist}
+Release:        17%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
